# Delegator reward

The `DelegatorReward` entity offers a normalized representation of the Casper Network [Reward](https://docs.casper.network/concepts/glossary/R/#reward) related to the delegator account.

## Properties

The `DelegatorReward` entity contains the following properties:

| Property               | Type         | Description                                                                                             |
| ---------------------- | ------------ | ------------------------------------------------------------------------------------------------------- |
| `public_key`           | `string(64)` | The public key of the delegator account represented as a hexadecimal string. Primary account identifier |
| `validator_public_key` | `string(64)` | Public key of the validator represented as a hexadecimal string. Unique validator identifier            |
| `era_id`               | `uint32`     | Era identifier                                                                                          |
| `amount`               | `uint64`     | Amount of the reward received by the delegator.                                                         |
| `timestamp`            | `datetime`   | Timestamp indicating when the last block was proposed.                                                  |

**Example**

```json
{
  "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
  "validator_public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
  "era_id": 1,
  "amount": "1000000000000",
  "timestamp": "2021-03-24T10:00:00.000Z"
}
```

## Optional properties

Depending on the endpoint, the following optional properties may be included in the `DelegatorReward` entity:

| Property | Type      | Description                                                                                                                                                                          |
| -------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `rate`   | `float32` | The rate that was relevant at the moment when the last block was proposed. To get more details see [Including CSPR rates](/1.2.x/documentation/highlights/including-cspr-rates.md) . |

## Relations

The `DelegatorReward` entity has the following relations with other entities:

| Entity                                      | Mapping property       | Description                                                                        |
| ------------------------------------------- | ---------------------- | ---------------------------------------------------------------------------------- |
| [`Account`](/1.2.x/rest-api/account.md)     | `public_key`           | Accounts receive rewards for delegating to validators.                             |
| [`Validator`](/1.2.x/rest-api/validator.md) | `validator_public_key` | Delegation rewards are associated with the validator, that distributed the rewards |

## Endpoints

The `DelegatorReward` entity has the following endpoints:

* [Get account delegator rewards](/1.2.x/rest-api/delegator-reward/get-account-delegation-rewards.md)
* [Get total account delegation rewards](/1.2.x/rest-api/delegator-reward/get-account-total-delegation-rewards.md)
* [Get total validator delegators' rewards](/1.2.x/rest-api/delegator-reward/get-total-validator-delegators-rewards.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.2.x/rest-api/delegator-reward.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
